- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TimeDomainStageVariables Class Reference

The in-memory representation of the <variables> child of the <stage> element. More...

`#include <OSInstance.h>`

Collaboration diagram for TimeDomainStageVariables:

[legend]
List of all members.

## Public Member Functions
| TimeDomainStageVariables ()
| The TimeDomainStageVariables class constructor.
| ~TimeDomainStageVariables ()
| The TimeDomainStageVariables class destructor.
| TimeDomainStageVariables ()
| The TimeDomainStageVariables class constructor.
| ~TimeDomainStageVariables ()
| The TimeDomainStageVariables class destructor.
## Public Attributes
int | numberOfVariables
| numberOfVariables gives the number of variables contained in this stage
int | startIdx
| startdIdx gives the number of the first variable contained in this stage
TimeDomainStageVar ** | var
| var is a pointer to an array of TimeDomainStageVar object pointers
TimeDomainStageVar ** | var
| var is a pointer to an array of TimeDomainStageVar object pointers

## Detailed Description

The in-memory representation of the <variables> child of the <stage> element.

Definition at line 519 of file OSInstance.h.

## Constructor & Destructor Documentation

TimeDomainStageVariables::TimeDomainStageVariables | ( |  | ) |

The TimeDomainStageVariables class constructor.

Definition at line 722 of file OSInstance.cpp.

References var.

TimeDomainStageVariables::~TimeDomainStageVariables | ( |  | ) |

The TimeDomainStageVariables class destructor.

Definition at line 732 of file OSInstance.cpp.

References numberOfVariables, and var.

TimeDomainStageVariables::TimeDomainStageVariables | ( |  | ) |

The TimeDomainStageVariables class constructor.

TimeDomainStageVariables::~TimeDomainStageVariables | ( |  | ) |

The TimeDomainStageVariables class destructor.

## Member Data Documentation

int TimeDomainStageVariables::numberOfVariables

numberOfVariables gives the number of variables contained in this stage

Definition at line 529 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageNumberOfVariables(), OSInstance::setTimeDomainStageVariablesOrdered(), OSInstance::setTimeDomainStageVariablesUnordered(), and ~TimeDomainStageVariables().

int TimeDomainStageVariables::startIdx

startdIdx gives the number of the first variable contained in this stage

Definition at line 532 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageVarList(), and OSInstance::setTimeDomainStageVariablesOrdered().

TimeDomainStageVar** TimeDomainStageVariables::var

var is a pointer to an array of TimeDomainStageVar object pointers

Definition at line 535 of file OSInstance.h.

Referenced by OSInstance::getTimeDomainStageVarList(), OSInstance::setTimeDomainStageVariablesUnordered(), TimeDomainStageVariables(), and ~TimeDomainStageVariables().

TimeDomainStageVar** TimeDomainStageVariables::var

var is a pointer to an array of TimeDomainStageVar object pointers

Definition at line 477 of file OSInstance.h.

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/v2.0/OSInstance.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSInstance.cpp